POST /interaction/v1/interactions/stop/{definitionId}?versionNumber={versionNumber}

Overview 

Stops a running journey. To call this resource, assign your API Integration the Automation | Interactions | Read scope.

URL Parameters 

NameTypeDescription
idstringRequiredThe ID of the journey to stop, expressed in the form of a GUID (UUID).
versionNumberintegerRequiredThe version number of the journey to stop

Usage 

Example Request 

This request stops the journey specified by the ID request parameter. Only the versionNumber specified in the versionNumber QUERY Parameter is stopped. A complete request requires you to provide a valid versionNumber.

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2POST /interaction/v1/interactions/stop/{definitionId}?versionNumber={versionNumber}
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN

Response: No Errors 

1HTTP/1.1 200

Response: Server Error 

1HTTP/1.1 500
2{
3    "documentation": "",
4    "errorcode": 500,
5    "message": "Internal Server Error"
6}

Response: Missing Version Number 

1HTTP/1.1 400
2{
3    "message": "Version number required.",
4    "errorcode": 10005,
5    "documentation": ""
6}

Response: Invalid Id 

1HTTP/1.1 400
2{
3    "message": "Must provide a valid ID or Key parameter",
4    "errorcode": 10005,
5    "documentation": ""
6}

Response: Runtime Error 

1HTTP/1.1 400
2{
3    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
4    "errorcode": 30000,
5    "documentation": ""
6}

Response: Empty or Incorrect Authorization Token 

1HTTP/1.1 401
2{
3    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
4    "errorcode": 0,
5    "message": "Not Authorized"
6}

Response: Id Not Corresponding to a Journey That Can Be Stopped 

1HTTP/1.1 404
2{
3    "message": "Published/Paused/Unpublished interaction matching criteria not found.",
4    "errorcode": 30003,
5    "documentation": ""
6}

DID THIS ARTICLE SOLVE YOUR ISSUE?
Let us know so we can improve!